Bug 985936 - wrong jbossweb dependency version included from org.jboss.security:jboss-negotiation-spnego:jar:2.2.5.Final-redhat-1
wrong jbossweb dependency version included from org.jboss.security:jboss-nego...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity medium
: ER4
: EAP 6.1.1
Assigned To: Paul Gier
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 10:25 EDT by Petr Sakař
Modified: 2014-06-18 03:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:30:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
maven debug (727.22 KB, text/plain)
2013-07-30 04:36 EDT, Petr Sakař
no flags Details
pom with exclustion of wrong dependency (33.04 KB, text/xml)
2013-07-30 04:38 EDT, Petr Sakař
no flags Details

  None (edit)
Description Petr Sakař 2013-07-18 10:25:02 EDT
unable to build jbossws testsuite because of missing dependency which is caused by wrong version of depedency   
  org.jboss.web:jbossweb:jar:7.2.0.Final-redhat-1
included by
  org.jboss.security:jboss-negotiation-spnego:jar:2.2.5.Final-redhat-1


zipped maven repo jboss-eap-6.1.1.ER3-maven-repository.zip contains version jbossweb-7.2.1.Final-redhat-1


[DEBUG]    org.jboss.as:jboss-as-webservices-tests-integration:jar:7.2.1.Final-redhat-4:compile
[DEBUG]       org.jboss.as:jboss-as-controller-client:jar:7.2.1.Final-redhat-4:compile
[DEBUG]          org.jboss.as:jboss-as-protocol:jar:7.2.1.Final-redhat-4:compile
[DEBUG]          org.jboss:jboss-dmr:jar:1.1.6.Final-redhat-1:compile
[DEBUG]          org.jboss.threads:jboss-threads:jar:2.1.0.Final-redhat-1:compile
[DEBUG]       org.jboss.as:jboss-as-security:jar:7.2.1.Final-redhat-4:compile
[DEBUG]          org.jboss.msc:jboss-msc:jar:1.0.4.GA-redhat-1:compile
[DEBUG]          org.jboss.as:jboss-as-domain-management:jar:7.2.1.Final-redhat-4:compile
[DEBUG]             org.jboss.as:jboss-as-controller:jar:7.2.1.Final-redhat-4:compile
[DEBUG]                org.jboss:staxmapper:jar:1.1.0.Final-redhat-2:compile
[DEBUG]          org.jboss.as:jboss-as-server:jar:7.2.1.Final-redhat-4:compile
[DEBUG]             org.jboss.as:jboss-as-domain-http-interface:jar:7.2.1.Final-redhat-4:compile
[DEBUG]             org.jboss.as:jboss-as-deployment-repository:jar:7.2.1.Final-redhat-4:compile
[DEBUG]             org.jboss.as:jboss-as-platform-mbean:jar:7.2.1.Final-redhat-4:compile
[DEBUG]             org.jboss.as:jboss-as-process-controller:jar:7.2.1.Final-redhat-4:compile
[DEBUG]             org.jboss.as:jboss-as-remoting:jar:7.2.1.Final-redhat-4:compile
[DEBUG]                org.jboss.as:jboss-as-network:jar:7.2.1.Final-redhat-4:compile
[DEBUG]             org.jboss.as:jboss-as-version:jar:7.2.1.Final-redhat-4:compile
[DEBUG]             org.jboss:jandex:jar:1.0.3.Final-redhat-2:compile
[DEBUG]             org.jboss.invocation:jboss-invocation:jar:1.1.2.Final-redhat-1:compile
[DEBUG]             org.jboss.logmanager:log4j-jboss-logmanager:jar:1.0.2.Final-redhat-1:compile
[DEBUG]             org.jboss.modules:jboss-modules:jar:1.2.2.Final-redhat-1:compile
[DEBUG]             org.jboss.stdio:jboss-stdio:jar:1.0.1.GA-redhat-2:compile
[DEBUG]             org.jboss:jboss-vfs:jar:3.1.0.Final-redhat-2:compile
[DEBUG]          org.jboss.as:jboss-as-naming:jar:7.2.1.Final-redhat-4:compile
[DEBUG]          org.jboss.as:jboss-as-clustering-infinispan:jar:7.2.1.Final-redhat-4:compile
[DEBUG]             org.jboss.as:jboss-as-clustering-api:jar:7.2.1.Final-redhat-4:compile
[DEBUG]             org.jboss.as:jboss-as-clustering-jgroups:jar:7.2.1.Final-redhat-4:compile
[DEBUG]                org.jboss.as:jboss-as-clustering-common:jar:7.2.1.Final-redhat-4:compile
[DEBUG]             org.jboss.as:jboss-as-ee:jar:7.2.1.Final-redhat-4:compile
[DEBUG]                javax.validation:validation-api:jar:1.0.0.GA-redhat-2:compile
[DEBUG]                org.hibernate:hibernate-validator:jar:4.3.1.Final-redhat-1:compile
[DEBUG]                org.jboss.metadata:jboss-metadata-common:jar:7.0.8.Final-redhat-1:compile
[DEBUG]                   org.hibernate.javax.persistence:hibernate-jpa-2.0-api:jar:1.0.1.Final-redhat-2:compile
[DEBUG]                org.jboss.metadata:jboss-metadata-ear:jar:7.0.8.Final-redhat-1:compile
[DEBUG]                org.jboss.spec.javax.annotation:jboss-annotations-api_1.1_spec:jar:1.0.1.Final-redhat-2:compile
[DEBUG]                org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec:jar:1.0.1.Final-redhat-2:compile
[DEBUG]             org.jboss.as:jboss-as-jmx:jar:7.2.1.Final-redhat-4:compile
[DEBUG]             org.jboss.as:jboss-as-threads:jar:7.2.1.Final-redhat-4:compile
[DEBUG]             org.infinispan:infinispan-core:jar:5.2.7.Final-redhat-1:compile
[DEBUG]             org.infinispan:infinispan-cachestore-jdbc:jar:5.2.7.Final-redhat-1:compile
[DEBUG]             org.infinispan:infinispan-cachestore-remote:jar:5.2.7.Final-redhat-1:compile
[DEBUG]             org.infinispan:infinispan-client-hotrod:jar:5.2.7.Final-redhat-1:compile
[DEBUG]             net.jcip:jcip-annotations:jar:1.0-redhat-3:compile
[DEBUG]             com.sun:tools:jar:1.6:system
[DEBUG]          org.jboss.as:jboss-as-transactions:jar:7.2.1.Final-redhat-4:compile
[DEBUG]             org.jboss.as:jboss-as-jacorb:jar:7.2.1.Final-redhat-4:compile
[DEBUG]                org.jboss.spec.javax.rmi:jboss-rmi-api_1.0_spec:jar:1.0.4.Final-redhat-2:compile
[DEBUG]                org.jboss.metadata:jboss-metadata-ejb:jar:7.0.8.Final-redhat-1:compile
[DEBUG]             org.jacorb:jacorb:jar:2.3.2-redhat-4:compile
[DEBUG]             org.jboss.jbossts.jts:jbossjts-jacorb:jar:4.17.5.Final-redhat-1:compile
[DEBUG]             org.jboss.jbossts.jts:jbossjts-integration:jar:4.17.5.Final-redhat-1:compile
[DEBUG]             org.jboss.spec.javax.resource:jboss-connector-api_1.6_spec:jar:1.0.1.Final-redhat-2:compile
[DEBUG]          org.jboss.security:jboss-negotiation-extras:jar:2.2.5.Final-redhat-1:compile
[DEBUG]             org.jboss.security:jboss-negotiation-common:jar:2.2.5.Final-redhat-1:compile
[DEBUG]          org.jboss.security:jboss-negotiation-spnego:jar:2.2.5.Final-redhat-1:compile
[DEBUG]             org.jboss.web:jbossweb:jar:7.2.0.Final-redhat-1:compile
Comment 1 Rostislav Svoboda 2013-07-22 10:58:44 EDT
locker proposal because we are in 'blockers only' mode
Comment 2 Paul Gier 2013-07-29 15:54:06 EDT
I rebuild jboss-security-negotiation using the new productiation process.
https://brewweb.devel.redhat.com/buildinfo?buildID=284110

This means that the poms will contain the same transitive dependency versions as the upstream release.  So the jbossweb version will not really be correct, but you should be able to control this using dependency management in your pom.

The error seems a bit strange to me because the version of jbossweb should have been correct (7.2.1.Final-redhat-1) based on the poms that were including it in the dependency tree.  Is the pasted dependency tree the full tree, or only part of it?  I'd probably need to see the full tree to know why the incorrect version of jbossweb was being used.
Comment 3 Petr Sakař 2013-07-30 04:36:39 EDT
Created attachment 780454 [details]
maven debug

attaching maven debug info
Comment 4 Petr Sakař 2013-07-30 04:38:48 EDT
Created attachment 780455 [details]
pom with exclustion of wrong dependency

modules/testsuite/pom.xml - to build the testsuite we added exclusion on line 800-805. If I can provide any other info please let me know

Note You need to log in before you can comment on or make changes to this bug.